= git-lfs-status(1)

== NAME

git-lfs-status - Show the status of Git LFS files in the working tree

== SYNOPSIS

`git lfs status` [<options>]

== DESCRIPTION

Display paths of Git LFS objects that

* have not been pushed to the Git LFS server. These are large files that
would be uploaded by `git push`.
* have differences between the index file and the current HEAD commit.
These are large files that would be committed by `git commit`.
* have differences between the working tree and the index file. These
are files that could be staged using `git add`.

This command must be run in a non-bare repository.

== OPTIONS

`--porcelain`::
  Give the output in an easy-to-parse format for scripts.
`--json`::
  Give the output in a stable json format for scripts.

== SEE ALSO

git-lfs-ls-files(1).

Part of the git-lfs(1) suite.
